Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Gregory Heytings <[email-masked]>
Date: Thu, 25 Nov 2021 14:39:09 +0000

>
> A closure has lexical binding inside itself, though, which lambdas do 
> not have.  So checking for an empty lexical environment isn't sufficient 
> to decide whether to try to convert back to a lambda or not -- you have 
> to do some deep inspection.  (See code snippet that demonstrates the 
> issue in an earlier post of mine.)
>

Indeed, that was the counter-example I tried to find.  I should read your 
posts more carefully ;-)  My initial feeling, that (closure (t) args body) 
is not equivalent to (lambda args body), was correct after all.